# `QGroupWidget`

digraph inheritancea4484e513c { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "QGroupWidget" [URL="#taurus.qt.qtgui.container.QGroupWidget",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="An expandable/collapsible composite widget"]; "QWidget" -> "QGroupWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QObject" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QObject(parent: QObject|None = None)"]; "wrapper" -> "QObject" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QPaintDevice()"]; "simplewrapper" -> "QPaintDevice" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QWidget" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QWidget(parent: QWidget|None = None, flags: Qt.WindowFlags|Qt.WindowType = Qt.WindowFlags())"]; "QObject" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "simplewrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "wrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "simplewrapper" -> "wrapper" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class QGroupWidget(parent=None, designMode=False)

  An expandable/collapsible composite widget

  Import from `taurus.qt.qtgui.container` as:

      from taurus.qt.qtgui.container import QGroupWidget

  DefaultContentStyle = {'border_color': 'rgb(0, 85, 227)', 'border_radius': '5px', 'start_color': 'rgb(224, 224, 224)', 'stop_color': 'rgb(255, 255, 255)'}
  DefaultContentVisible = True
  DefaultTitleBarHeight = 16
  DefaultTitleBarStyle = {'border_radius': '5px', 'font_color': 'white', 'start_color': 'rgb(60, 150, 255)', 'stop_color': 'rgb(0, 65, 200)'}
  DefaultTitleBarVisible = True
  collapseButton()

    Returns the collapse button widget

    Returns:

      the collapse button widget

    Return type:

      Qt.QToolButton

  content()

    Returns the contents widget

    Returns:

      the content widget

    Return type:

      Qt.QFrame

  contentStyle
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  contentVisible

    This property contains the widget’s content’s visibility

    Access functions:

    > - `isContentVisible()`

    > - `setContentVisible()`

    > - `resetContentVisible()`

  getContentStyle()

    Returns this widget’s content style

    Returns:

      this widget’s content style

    Return type:

      dict

  getContentStyleStr()

    Returns this widget’s content style

    Returns:

      this widget’s content style

    Return type:

      dict

  classmethod getQtDesignerPluginInfo()
  getTitle()

    Returns this widget’s title

    Returns:

      this widget’s title

    Return type:

      str

  getTitleHeight()

    Returns this widget’s title height

    Returns:

      this widget’s title height

    Return type:

      bool

  getTitleIcon()

    Returns this widget’s title icon

    Returns:

      this widget’s title icon

    Return type:

      Qt.QIcon

  getTitleStyle()

    Returns this widget’s title style

    Returns:

      this widget’s title style

    Return type:

      dict

  getTitleStyleStr()

    Returns this widget’s title style

    Returns:

      this widget’s title style

    Return type:

      dict

  isContentVisible()

    Returns this widget’s contents visibility

    Returns:

      this widget’s contents visibility

    Return type:

      bool

  isTitleVisible()

    Returns this widget’s title visibility

    Returns:

      this widget’s title visibility

    Return type:

      bool

  resetContentStyle()

    Resets this widget’s content style

  resetContentStyleStr()

    Resets this widget’s content style

  resetContentVisible()

    Resets this widget’s contents visibility

  resetTitleHeight()

    Resets this widget’s title height

  resetTitleStyle()

    Resets this widget’s title style

  resetTitleStyleStr()

    Resets this widget’s title style

  resetTitleVisible()

    Resets this widget’s title visibility

  setContentStyle(style_map)

    Sets this widget’s content style Used key/values for style_map: - ‘start_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘stop_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’)

    Parameters:

      style_map (dict) – the new widget content style

  setContentStyleStr(style_map)

    Sets this widget’s content style Used key/values for style_map: - ‘start_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘stop_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’)

    Parameters:

      style_map (dict) – the new widget content style

  setContentVisible(show)

    Sets this widget’s contents visibility

    Parameters:

      show (bool) – the new widget contents visibility

  setTitle(title)

    Sets this widget’s title

    Parameters:

      title (str) – the new widget title

  setTitleHeight(h)

    Sets this widget’s title height

    Parameters:

      icon (bool) – the new widget title height

  setTitleIcon(icon)

    Sets this widget’s title icon

    Parameters:

      icon (Qt.QIcon) – the new widget title icon

  setTitleStyle(style_map)

    Sets this widget’s title style Used key/values for style_map: - ‘start_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘stop_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘font_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘border_radius’: radius (Ex.: ‘5px’, ‘5px,2px’)

    Parameters:

      style_map (dict) – the new widget title style

  setTitleStyleStr(style_map)

    Sets this widget’s title style Used key/values for style_map: - ‘start_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘stop_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘font_color’ : brush (Ex.: ‘#E0E0E0’, ‘rgb(0,0,0)’, ‘white’) - ‘border_radius’: radius (Ex.: ‘5px’, ‘5px,2px’)

    Parameters:

      style_map (dict) – the new widget title style

  setTitleVisible(show)

    Sets this widget’s title visibility

    Parameters:

      icon (bool) – the new widget title visibility

  switchContentVisible()

    Switches this widget’s contents visibility

  title

    This property contains the widget’s title

    Access functions:

    > - `getTitle()`

    > - `setTitle()`

  titleBar()

    Returns the title bar widget

    Returns:

      the title bar widget

    Return type:

      Qt.QFrame

  titleButton()

    Returns the title button widget

    Returns:

      the title button widget

    Return type:

      Qt.QToolButton

  titleHeight

    This property contains the widget’s title height

    Access functions:

    > - `getTitleHeight()`

    > - `setTitleHeight()`

    > - `resetTitleHeight()`

  titleIcon

    This property contains the widget’s title icon

    Access functions:

    > - `getTitleIcon()`

    > - `setTitleIcon()`

  titleStyle
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  titleVisible

    This property contains the widget’s title visibility

    Access functions:

    > - `isTitleVisible()`

    > - `setTitleVisible()`